pkg_check_modules(nanomsg REQUIRED nanomsg)

include_directories(
)
link_directories("/usr/local/lib")

message(STATUS ${EXECUTABLE_OUTPUT_PATH})


aux_source_directory(${CMAKE_CURRENT_LIST_DIR}/error_code ERROR_SRC )
aux_source_directory(${CMAKE_CURRENT_LIST_DIR}/message message_src )
aux_source_directory(${CMAKE_CURRENT_LIST_DIR}/wanji_lidar WANJI_LIDAR_SRC )

aux_source_directory(${CMAKE_CURRENT_LIST_DIR}/task TASK_MANAGER_SRC )
aux_source_directory(${CMAKE_CURRENT_LIST_DIR}/tool TOOL_SRC )
aux_source_directory(${CMAKE_CURRENT_LIST_DIR}/communication COMMUNICATION_SRC )
aux_source_directory(${CMAKE_CURRENT_LIST_DIR}/system SYSTEM_SRC )
aux_source_directory(${CMAKE_CURRENT_LIST_DIR}/verify VERIFY_SRC )

aux_source_directory(${CMAKE_CURRENT_LIST_DIR}/velodyne_lidar/match3d/common VELODYNE_LIDAR_COMMON)
aux_source_directory(${CMAKE_CURRENT_LIST_DIR}/velodyne_lidar/match3d/ VELODYNE_LIDAR_MATCH)
aux_source_directory(${CMAKE_CURRENT_LIST_DIR}/velodyne_lidar/velodyne_driver VELODYNE_LIDAR_DRIVER)
aux_source_directory(${CMAKE_CURRENT_LIST_DIR}/velodyne_lidar VELODYNE_LIDAR)

aux_source_directory(${CMAKE_CURRENT_LIST_DIR}/rabbitmq RABBIT_MQ)
aux_source_directory(${CMAKE_CURRENT_LIST_DIR}/rslidar RSLIDAR)

add_executable(measure_wj
		${CMAKE_CURRENT_LIST_DIR}/measure_main.cpp
        ${ERROR_SRC}
        ${message_src}

		${WANJI_LIDAR_SRC}
        ${TASK_MANAGER_SRC}
        ${TOOL_SRC}
        ${COMMUNICATION_SRC}
        ${SYSTEM_SRC}
		${VERIFY_SRC}
		${VELODYNE_LIDAR_COMMON}
		${VELODYNE_LIDAR_MATCH}
		${VELODYNE_LIDAR_DRIVER}
		${VELODYNE_LIDAR}
		${RABBIT_MQ}
		${RSLIDAR}
		)

target_link_libraries(measure_wj
		zx
        /usr/local/lib/librabbitmq.a
        nnxx
        nanomsg
		${CERES_LIBRARIES}
		${YAML_CPP_LIBRARIES}
        -lpthread
        )


install(TARGETS measure_wj
		LIBRARY DESTINATION lib  # 动态库安装路径
		ARCHIVE DESTINATION lib  # 静态库安装路径
		RUNTIME DESTINATION bin  # 可执行文件安装路径
		PUBLIC_HEADER DESTINATION include  # 头文件安装路径
		)

#install(DIRECTORY ${CMAKE_CURRENT_LIST_DIR}/etc
#		DESTINATION ${CMAKE_INSTALL_PREFIX}
#		)

